#include <windows.h>
#include <iostream.h>


int main(int argc, char** argv)
{
    if (argc < 3)
    {
        cout << "Usage : MoveFile <existing filename> <new filename>" << endl;
        return 1;
    }

    if ( ::MoveFileEx(argv[1],   // name of existing file
                      argv[2],   // new name for file
                      MOVEFILE_DELAY_UNTIL_REBOOT | MOVEFILE_REPLACE_EXISTING) )
    {
        cout << argv[2]
             << " will be replaced with "
             << argv[1]
             << " on next reboot."
             << endl;
    }
    else
    {
        cout << "MoveFile "
             << argv[1]
             << " "
             << argv[2]
             << " failed." << endl; 
    }
    return 0;
}